$schema: "https://json-schema.org/draft/2020-12/schema"
title: "Clinician"
type: "object"
required:
  - name
  - npi
properties:
  clinician_id:
    $ref: "../ids.json#/definitions/ClinicianId"
  name:
    $ref: "../structs.json#/definitions/Name"
  contact_info:
    type: array
    items:
      $ref: "../structs.json#/definitions/ContactInfo"
    maxItems: 1
  clinic_name:
    type: string
  npi:
    $ref: "../core.json#/definitions/NPI"
  clinics:
    type: array
    items:
      type: object
      additionalProperties: false
      required:
        - name
        - id
      properties:
        name:
          type: string
        id: 
          $ref: "../ids.json#/definitions/ClinicId"
  partnerships:
    type: array
    items:
      $ref: "./Campaign.json"


additionalProperties: false
